# Splicer::NoOpProvider

[![Code Climate](https://codeclimate.com/github/zippykid/splicer-no_op_provider.png)](https://codeclimate.com/github/zippykid/splicer-no_op_provider)

A no operation provider that can be used in your testing environment.

## Installation

```sh
gem install splicer
gem install splicer-no_op_provider
```

## Using

It's fairly easy to set up. Simply register it with Splicer and everything
should work good.

```ruby
Splicer.configure do |config|
  config.register Splicer::NoOpProvider::Config.new
end
```

## Contributing

  * Fork it
  * Create a feature branch
  * Submit a pull request
  * Wait for feedback and possible merge
