require 'spec_helper'

describe Splicer::NoOpProvider::Provider do
  let(:provider) { Splicer::NoOpProvider::Provider.new }
  let(:zone) { Splicer::Zone.new('example.com') }
  let(:record) { Splicer::Records::Record.new('example', 300) }

  describe '#create_zone' do
    subject { provider.create_zone(zone) }
    it { should eq(true) }
  end

  describe '#update_zone' do
    subject { provider.update_zone(zone) }
    it { should eq(true) }
  end

  describe '#rewrite_zone' do
    subject { provider.rewrite_zone(zone) }
    it { should eq(true) }
  end

  describe '#delete_zone' do
    subject { provider.delete_zone(zone) }
    it { should eq(true) }
  end

  describe '#delete_record_in_zone' do
    subject { provider.delete_record_in_zone(record, zone) }
    it { should eq(true) }
  end

  describe '#update_record_in_zone' do
    subject { provider.update_record_in_zone(record, zone) }
    it { should eq(true) }
  end

  describe '#create_record_in_zone' do
    subject { provider.create_record_in_zone(record, zone) }
    it { should eq(true) }
  end
end
